
Katello - Bug #24221

New RH Subscriptions page allows deleting of custom subs

07/10/2018 02:53 PM - Andrew Kofink

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Subscriptions   

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1600219 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/764
Description

Reproduce:

Have a Katello with a manifest

Create a custom product/repo

Navigate to Content -> Subscriptions

Actual:

Users can check the checkbox next to the custom sub and click delete. The task errors, as it sends bogus info to the portal.

Expected:

Custom subs are shown as different than RH subs (no checkbox, etc.) and do not allow editing/deleting

Related issues:

Has duplicate Katello - Bug #24223: Prevent deletion of custom subscriptions Duplicate 07/10/2018

Associated revisions

Revision 0c77a55e - 09/21/2018 05:06 PM - Walden Raines

Fixes #24221: disable deletion of custom subscriptions.

Ensure that we don't delete custom subscriptions by disabling the

checkbox on custom subscription rows.

https://projects.theforeman.org/issues/24221

History

#1 - 07/11/2018 05:49 PM - Walden Raines

- Bugzilla link set to 1600219

#2 - 07/11/2018 05:50 PM - Justin Sherrill

- Target version set to Katello 3.7.0

#3 - 07/11/2018 05:52 PM - Walden Raines

- Has duplicate Bug #24223: Prevent deletion of custom subscriptions added

#4 - 08/03/2018 05:13 PM - Jonathon Turel

- Assignee set to Avi Sharvit

- Target version changed from Katello 3.7.0 to Katello 3.9.0

#5 - 08/26/2018 09:26 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7649 added
#6 - 09/12/2018 01:03 PM - Walden Raines

- Assignee changed from Avi Sharvit to Walden Raines

#7 - 09/21/2018 06:01 PM - Walden Raines

- Status changed from Ready For Testing to Closed

Applied in changeset katello|0c77a55ee7e50a098b772d3bc4f205c5ad75e0e8.
